For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Portal
GuidesRecipesAPI ReferenceChangelog
GuidesRecipesAPI ReferenceChangelog
  • Airtop API
      • GETGet a list of files
      • POSTCreate a file
      • GETGet a file
      • DELDelete a file
      • POSTPush a file to a session
Portal
Airtop APIFiles

Get a list of files

GET
https://api.airtop.ai/api/v1/files
GET
/api/v1/files
$curl -G https://api.airtop.ai/api/v1/files \
> -H "Authorization: Bearer <apiKey>" \
> -d offset=1 \
> -d limit=10
200Retrieved
1{
2 "data": {
3 "pagination": {
4 "currentLimit": 1000000,
5 "currentPage": 1000000,
6 "finalCount": 1000000,
7 "hasMore": true,
8 "initialCount": 1000000,
9 "nextOffset": 1000000,
10 "numberOfPages": 1000000,
11 "totalItems": 1000000
12 },
13 "files": [
14 {
15 "deleted": true,
16 "fileBytes": 1000000,
17 "fileName": "fileName",
18 "fileType": "fileType",
19 "id": "id",
20 "orgId": "orgId",
21 "status": "status",
22 "uploadStartTime": "2024-01-15T09:30:00Z",
23 "visibleInApi": true,
24 "visibleInPortal": true
25 }
26 ]
27 },
28 "meta": {
29 "requestId": "requestId"
30 },
31 "errors": [
32 {
33 "message": "message",
34 "code": "code",
35 "details": {
36 "key": "value"
37 },
38 "reason": "reason"
39 }
40 ],
41 "warnings": [
42 {
43 "message": "message",
44 "code": "code",
45 "details": {
46 "key": "value"
47 },
48 "reason": "reason"
49 }
50 ]
51}
Get a list of files filtered by session ID
Was this page helpful?
Previous

Create a file

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

sessionIdsstringOptional

A comma-separated list of IDs of the sessionId of the files to retrieve.

offsetlongOptionalDefaults to -1
Offset for pagination.
limitlongOptionalDefaults to 10
Limit for pagination.

Response

OK
dataobject
metaobject
errorslist of objects
warningslist of objects